<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Selecionar Elementos #03</title>
  <link rel="stylesheet" href="css/estilo.css">
  <style>
    form {
      display: flex;
      flex-direction: column;
    }

    form input,
    form select,
    form button {
      margin: 10px;
      font-size: 1.6em;
    }
  </style>
</head>

<body class="conteudo exercicio">
  <h1>Formulário</h1>
  <form name="pesquisa" action="http://www.google.com.br/search">
    <input type="text" name="q" placeholder="Digite o termo...">
    <select name="hl">
      <option value="pt-br">Português (Brasil)</option>
      <option value="en-us">Inglês (Americano)</option>
    </select>
    <button>Pesquisar</button>
  </form>
  <script>
    console.log(document.forms)
    console.log(document.forms[0])
    console.log(document.getElementsByName('pesquisa'))
    console.log(document.getElementsByTagName('form'))
    console.log(document.pesquisa)
    console.log(document.pesquisa.q)
    document.pesquisa.q.value = 'Linux Brasil'
    document.pesquisa.hl.value = 'en-us'
    console.log(document.pesquisa.hl.selectedIndex)
    console.log(document.getElementsByName('q')[0].value)
  </script>
</body>

</html>